Modules
Get module overview list
Gets all available modules and with only critical meta data for properties.
GET
/
Module
/
ModuleOverview
Get module overview list
curl --request GET \
--url https://api.plantpredict.terabase.energy/Module/ModuleOverview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plantpredict.terabase.energy/Module/ModuleOverview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plantpredict.terabase.energy/Module/ModuleOverview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 46882,
"ownerId": 8903,
"name": "FS-7505A-TR1 CdTe September2022",
"status": 2,
"lastModified": "2024-10-23T12:48:57.9",
"lastModifiedBy": {
"firstName": "Postman",
"lastName": "Act"
},
"model": "FS-7505A-TR1 September2022",
"manufacturer": "First Solar",
"stcMaxPower": 505,
"stcPowerTempCoef": -0.32,
"cellTechnologyType": 6,
"cellDesignType": 3,
"faciality": 0,
"isMultiJunction": false,
"isLargeFormat": false,
"isShingledMonoPerc": false,
"isThinFilm": true
},
{
"id": 46883,
"ownerId": 8903,
"name": "Longi LR5_72_HBD_545_Tera",
"status": 2,
"lastModified": "2024-10-23T12:48:57.9",
"lastModifiedBy": {
"firstName": "Postman",
"lastName": "Act"
},
"model": "LR5-72 HBD 540 M Bifacial",
"manufacturer": "Longi Solar",
"stcMaxPower": 545,
"stcPowerTempCoef": -0.35,
"cellTechnologyType": 2,
"cellDesignType": 0,
"faciality": 1,
"isMultiJunction": false,
"isLargeFormat": false,
"isShingledMonoPerc": false,
"isThinFilm": false
},
{
"id": 46884,
"ownerId": 8903,
"name": "FS-7505A-TR1 CdTe September2022",
"status": 2,
"lastModified": "2024-10-23T12:49:01.177",
"lastModifiedBy": {
"firstName": "Postman",
"lastName": "Act"
},
"model": "FS-7505A-TR1 September2022",
"manufacturer": "First Solar",
"stcMaxPower": 505,
"stcPowerTempCoef": -0.32,
"cellTechnologyType": 6,
"cellDesignType": 3,
"faciality": 0,
"isMultiJunction": false,
"isLargeFormat": false,
"isShingledMonoPerc": false,
"isThinFilm": true
},
{
"id": 46885,
"ownerId": 8903,
"name": "Longi LR5_72_HBD_545_Tera",
"status": 2,
"lastModified": "2024-10-23T12:49:01.177",
"lastModifiedBy": {
"firstName": "Postman",
"lastName": "Act"
},
"model": "LR5-72 HBD 540 M Bifacial",
"manufacturer": "Longi Solar",
"stcMaxPower": 545,
"stcPowerTempCoef": -0.35,
"cellTechnologyType": 2,
"cellDesignType": 0,
"faciality": 1,
"isMultiJunction": false,
"isLargeFormat": false,
"isShingledMonoPerc": false,
"isThinFilm": false
},
{
"id": 39648,
"ownerId": 3927,
"name": "Jinkosolar JKM460M-7RL3-TV",
"status": 3,
"lastModified": "2022-03-15T18:27:37.933",
"lastModifiedBy": {
"firstName": "Thang",
"lastName": "Le"
},
"model": "JKM460M-7RL3-TV",
"manufacturer": "Jinkosolar",
"stcMaxPower": 461.17089963999996,
"stcPowerTempCoef": -0.34395684620132044,
"cellTechnologyType": 2,
"cellDesignType": 0,
"faciality": 1,
"isMultiJunction": false,
"isLargeFormat": false,
"isShingledMonoPerc": false,
"isThinFilm": false
},
{
"id": 39658,
"ownerId": 3927,
"name": "Jinkosolar JKM460M-7RL3-TV-IAM100-TBE",
"status": 3,
"lastModified": "2022-03-15T18:28:34.403",
"lastModifiedBy": {
"firstName": "Thang",
"lastName": "Le"
},
"model": "JKM460M-7RL3-TV-TBE",
"manufacturer": "Jinkosolar",
"stcMaxPower": 461.17089963999996,
"stcPowerTempCoef": -0.34395684620132044,
"cellTechnologyType": 2,
"cellDesignType": 0,
"faciality": 1,
"isMultiJunction": false,
"isLargeFormat": false,
"isShingledMonoPerc": false,
"isThinFilm": false
},
{
"id": 39734,
"ownerId": 5091,
"name": "Canadian Solar Inc. CS6Y-565MB-AG 1500V",
"status": 2,
"lastModified": "2024-06-17T18:12:59.963",
"lastModifiedBy": {
"firstName": "David",
"lastName": "Spieldenner"
},
"model": "CS6Y-565MB-AG 1500V",
"manufacturer": "Canadian Solar Inc.",
"stcMaxPower": 565.76610564,
"stcPowerTempCoef": -0.3479042731401181,
"cellTechnologyType": 2,
"cellDesignType": 0,
"faciality": 1,
"isMultiJunction": false,
"isLargeFormat": false,
"isShingledMonoPerc": false,
"isThinFilm": false
},
{
"id": 39922,
"ownerId": 5032,
"name": "Trina Solar TSM-540DEG19C.20",
"status": 3,
"lastModified": "2021-10-18T06:08:30.057",
"lastModifiedBy": {
"firstName": "Claude",
"lastName": "Deuda"
},
"model": "TSM-540DEG19C.20",
"manufacturer": "Trina Solar",
"stcMaxPower": 540.4381668000001,
"stcPowerTempCoef": -0.35187065825862496,
"cellTechnologyType": 2,
"cellDesignType": 0,
"faciality": 1,
"isMultiJunction": false,
"isLargeFormat": false,
"isShingledMonoPerc": false,
"isThinFilm": false
},
{
"id": 39923,
"ownerId": 5032,
"name": "Trina Solar TSM-585DEG20C.20",
"status": 3,
"lastModified": "2021-10-18T06:10:29.407",
"lastModifiedBy": {
"firstName": "Claude",
"lastName": "Deuda"
},
"model": "TSM-585DEG20C.20",
"manufacturer": "Trina Solar",
"stcMaxPower": 585.14642088,
"stcPowerTempCoef": -0.35584383450018825,
"cellTechnologyType": 2,
"cellDesignType": 0,
"faciality": 1,
"isMultiJunction": false,
"isLargeFormat": false,
"isShingledMonoPerc": false,
"isThinFilm": false
},
{
"id": 39924,
"ownerId": 5032,
"name": "Canadian Solar Inc. CS6Y-560MB-AG 1500V",
"status": 3,
"lastModified": "2021-10-18T06:12:04.493",
"lastModifiedBy": {
"firstName": "Claude",
"lastName": "Deuda"
},
"model": "CS6Y-560MB-AG 1500V",
"manufacturer": "Canadian Solar Inc.",
"stcMaxPower": 560.61164285,
"stcPowerTempCoef": -0.3478902197937108,
"cellTechnologyType": 2,
"cellDesignType": 0,
"faciality": 1,
"isMultiJunction": false,
"isLargeFormat": false,
"isShingledMonoPerc": false,
"isThinFilm": false
}
]"An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Response
Module overviews
LibraryStatusEnum
Available options:
0, 1, 2, 3, 4, 5, 6 ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
CellTechnologyTypeEnum
Available options:
1, 2, 3, 4, 5, 6, 7, 8 CellDesignType
Available options:
0, 1, 2, 3 FacialityEnum
Available options:
0, 1 ⌘I
Get module overview list
